For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Get Completely Cancelled Orders

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2025-07/order/cancelled
GET
/2025-07/order/cancelled
$curl -G https://sandbox-api.shipbob.com/2025-07/order/cancelled \
> -H "Authorization: Bearer <token>" \
> -d Page=1 \
> -d Limit=50 \
> -d IsTrackingUploaded=true
1[
2 {
3 "id": 0,
4 "order_number": "string",
5 "shipment_ids": [
6 0
7 ]
8 }
9]
Retrieve the IDs of orders and their associated shipments that have been fully cancelled, meaning all shipments within the order are in a cancelled state.
Was this page helpful?
Previous

Get shipping methods

Next

Get Packaging Requirement

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

PageintegerOptional1-2147483647
Page of orders to get
LimitintegerOptional1-250
Amount of orders per page to request
IsTrackingUploadedbooleanOptional

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated

Response

Success
idlong
Unique id of the order
order_numberstring

User-friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used

shipment_idslist of longs
Shipments Ids affiliated with the order

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error